#!/bin/sh
## this is a bash script
## perhaps it works with other shells too but no warranty

## Written by Michael Bell for the OpenCA project 2004
## (c) Copyright 2004 The OpenCA Project. All rights reserved.

set -e

prefix=/usr/local/openca.0.9.2
exec_prefix=/usr/local/openca.0.9.2

for DIRECTORY in /usr/local/openca.0.9.2/openca/etc /usr/local/openca.0.9.2/openca/lib /usr/local/openca.0.9.2/httpd/htdocs/ca /usr/local/openca.0.9.2/httpd/htdocs/ra /usr/local/openca.0.9.2/httpd/htdocs/node /usr/local/openca.0.9.2/httpd/htdocs/ldap /usr/local/openca.0.9.2/httpd/htdocs/pub /usr/local/openca.0.9.2/httpd/htdocs/batch
do
    if test -d $DIRECTORY; then
        echo =================================================================
        echo fixing directory: $DIRECTORY
        echo =================================================================

        cd $DIRECTORY
        TEMPLATES=`find . -name "*.template" -print`
        for H in $TEMPLATES
        do
            echo -------------begin file-----------------
            echo template: $H
            H_RESULT=`echo $H | sed 's/\.template//'`
            echo target:   $H_RESULT
            ${exec_prefix}/bin/openca-configure /usr/local/openca.0.9.2/openca/etc/config.xml $H $H_RESULT
            echo --------------end file------------------
        done
    fi
done

# By this moment configure_etc.sh has successfully inserted the value of
# option cert_chars from config.xml into utf8_latin1_selector.sh 
# and we can call the latter from here, performing an effective reqursion:

/usr/local/openca.0.9.2/openca/etc/utf8_latin1_selector.sh

